Classes | UGens>Delays

# Delay1 : PureUGen : UGen : AbstractFunction : Object

Single sample delay.
Source: Delays.sc
Subclasses: Delay2
See also: Delay2

## Description

Delays the input by 1 audio frame or control period.

## Class Methods

### Delay1.ar(in: 0.0, mul: 1.0, add: 0.0)

### Delay1.kr(in: 0.0, mul: 1.0, add: 0.0)

#### Arguments:

in | Input signal.
mul | Output will be multiplied by this value.
add | This value will be added to the output.

#### Discussion:

For audio-rate signals the delay is 1 audio frame, and for control-rate signals the delay is 1 control period.

### Inherited class methods

## Instance Methods

### Inherited instance methods

## Examples

( plot({ var z; z = Dust.ar(1000); [z, z - Delay1.ar(z)] // [ original, subtract delayed from original ] }))
helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/Delay1.schelp
link::Classes/Delay1::